/* These are the structures which define the shape of the indicatos. The
  actual data is in indic_data.c (it is separate because it MUST reside in
  chip memory. */
#include "exec/types.h"
#include "intuition/intuition.h"

extern UWORD fData[], gData[], GData[], RADData[], PRGMData[], USERData[];

struct Image fImage = {
   0, 0, /* Position */
   3, 6, 2, /* width, height, depth */
   fData, /* Shape data */
   0, 0, /* PlanePick, PlaneOnOff, defined by SetCol */
   NULL /* NextImage */
};

struct Image gImage = {
   0, 1,
   4, 6, 2,
   gData,
   0, 0,
   NULL
};

struct Image GImage = {
   0, 0,
   4, 6, 2,
   GData,
   0, 0,
   NULL
};

struct Image RADImage = {
   0, 0,
   14, 6, 2,
   RADData,
   0, 0,
   NULL
};

struct Image PRGMImage = {
   0, 0,
   19, 6, 2,
   PRGMData,
   0, 0,
   NULL
};

struct Image USERImage = {
   0, 0,
   19, 6, 2,
   USERData,
   0, 0,
   NULL
};

