/* ------------  Menu Selections  ------------*/

/* Main Menu */

#define MENUPROJECT  0
#define MENUFUNCTION 1
#define MENUTEXT     2

/* Project MenuItems */

#define PROJECTNEW     0
#define PROJECTOPEN    1
#define PROJECTSAVE    2
#define PROJECTSAVEAS  3
#define PROJECTCOLOR   4
#define PROJECTSCREEN  5
#define PROJECTTITLE   6
#define PROJECTPRINT   7
#define PROJECTQUIT    8

/* Function MenuItems */

#define FUNCTIONPLOT	  0
#define FUNCTIONSTOPPLOT  1
#define FUNCTIONSETTINGS  2
#define FUNCTIONGRAPH	  3

/* Text MenuItems */

#define TEXTADD 	  0
#define TEXTREMOVE	  1
#define TEXTSTYLE	  2
#define TEXTFONTS	  3

/* Open SubItems */

#define OPENALL 	  0
#define OPENSETTINGS	  1
#define OPENPICTURE	  2

/* Save SubItems */

#define SAVEALL 	  0
#define SAVESETTINGS	  1
#define SAVEPICTURE	  2

/* Save As SubItems */

#define SAVEASALL	  0
#define SAVEASSETTINGS	  1
#define SAVEASPICTURE	  2

/* Color SubItems */

#define COLORADJUST	  0
#define COLORLOAD	  2
#define COLORSAVE	  3

/* Screen SubItems */

#define SCREENLOWRES	      0
#define SCREENHIGHRES	      1
#define SCREENINTERLACE       3
#define SCREENNONINTERLACE    4
#define SCREENNORMAL	      6
#define SCREENMEDIUMOVERSCAN  7
#define SCREENSEVEREOVERSCAN  8

/* Title SubItems */

#define TITLEON 	  0
#define TITLEOFF	  1

/* Plot SubItems */

#define PLOTNORMAL	  0
#define PLOTHIDDEN	  1
#define PLOTFILLED	  2
#define PLOTCONTOUR	  3

/* Style SubItems */

#define STYLEBOLD	  0
#define STYLEUNDERLINE	  1
#define STYLEITALIC	  2

/* Fonts SubItems */

#define FONTSCHOOSE	  0
#define FONTSRELOAD	  1


/*--------------  Gadget Selections  --------------*/

/* Boolean - Detect GADGETDOWN */

#define SURFACE 	     50
#define AXESTYPE	     51
#define SWAPXYZ 	     52

/* Axes Types */

#define AXESTYPENONE	     0
#define AXESTYPESTAR	     1
#define AXESTYPEBOX	     2

/* Rotation Order */

#define ROTATEXYZ	     0
#define ROTATEXZY	     1
#define ROTATEYXZ	     2
#define ROTATEYZX	     3
#define ROTATEZXY	     4
#define ROTATEZYX	     5


/* Strings - Detect GADGETUP */

/* 1-10 RESERVED FOR STRINGS THAT ARE NOT NUMBERS */

#define EQUATIONZ	     1
#define EQUATIONA	     2
#define EQUATIONB	     3
#define EQUATIONC	     4
#define EQUATIOND	     5

#define SETTINGSNOTE	     6

/* 11- USED FOR NUMBER STRINGS */

/* LONGINT */

#define ROTATIONX	     11
#define ROTATIONY	     12
#define ROTATIONZ	     13

#define ORIGINX 	     14
#define ORIGINY 	     15

/* FLOATING POINT */

#define SIZINGPROJPLANE      16
#define SIZINGVIEWDIST	     17
#define SIZINGSCALE	     18

#define LINESPACINGX	     19
#define LINESPACINGY	     20

#define PLOTSPANXMIN	     21
#define PLOTSPANXMAX	     22
#define PLOTSPANYMIN	     23
#define PLOTSPANYMAX	     24

#define PLOTPRECISIONX	     25
#define PLOTPRECISIONY	     26

#define AXESSPANXMIN	     27
#define AXESSPANXMAX	     28
#define AXESSPANYMIN	     29
#define AXESSPANYMAX	     30
#define AXESSPANZMIN	     31
#define AXESSPANZMAX	     32

#define AXESPRECISION	     33
