/**********************************************************
*                                                         *
*     Definitions for syntax errors that may occur in     *
*     the function Convert in funceval.c.                 *
*                                                         *
***********************************************************
*                                                         *
*             Copyright 1987  Randy C. Finch              *
*                                                         *
**********************************************************/

#define MISPLACEDOP     1    /* Misplaced operator */
#define ILLEGALCHAR     2    /* Illegal character */
#define ILLEGALEXP      3    /* Illegal exponent */
#define ILLEGALFUNC     4    /* Illegal function */
#define MISSINGOP       5    /* Missing operator */
#define MISSINGOPRP     6    /* Missing operator or right parenthesis */
#define MISSINGLP       7    /* Missing left parenthesis */
#define MISSINGRP       8    /* Missing right parenthesis */
#define MISSINGPARM     9    /* Missing parameter */
#define LONEDECIMAL    10    /* Lone decimal point */
#define EXTRADECIMAL   11    /* Extra decimal point */
#define EXTRAE         12    /* Extra E in exponent */
#define STACKUNDERFLOW 13    /* Stack underflow */
#define STACKOVERFLOW  14    /* Stack overflow */
#define TOOMANYCONST   15    /* Too many constants in function */
